<?xml version="1.0" encoding="UTF-8"?>

<ClassComponent localName="Компонент закладка"
	description="Содержит представления различных графических компонентов."
	fileName="NPCFaceTab.jar" className="org.mati.npc.faces.NPCFaceTab"
	version="9345" time="17.02.2009 16:31:02">

	<Group>Визуальные компоненты</Group>

	<!--INLINKS BEGIN-->
	<INLink name="InGetTab"
		description="Связь с компонентом контейнером."
		interfaceName="org.mati.npc.components.interfaces.NPCFaceTabComponent"
		linksNumber="1" nullable="true">
	</INLink>
	<INLink name="InUniversal"
		description="Входящая связь допускает управление вкладкой."
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="0" nullable="true">
	</INLink>
	<!--INLINKS END-->

	<!--OUTLINKS BEGIN-->
	<OUTLink name="OutTabbedPane"
		description="Связь с компонентом панель закладок"
		interfaceName="org.mati.npc.components.interfaces.TabbedPane"
		linksNumber="1" nullable="true">
	</OUTLink>
	<OUTLink name="OutGetComponent"
		description="Связь с компонетом представления."
		interfaceName="org.mati.npc.components.interfaces.NPCFaceComponent"
		linksNumber="0" nullable="true">
	</OUTLink>
	<!--OUTLINKS END-->

	<!--ATTRIBUTES BEGIN-->
	<Attribute name="Index"
		description="Номер закладки (определяет поряд отображения закладки на панели закладок)."
		defaultValue="0"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="Title"
		description="Заголовок закладки (поддерживает гипертекст)."
		defaultValue="Закладка"
		type="java.lang.String" nullable="false">
	</Attribute>
	<Attribute name="ToolTipText"
		description="Текст подсказки закладки (поддерживает гипертекст)."
		defaultValue="Закладка"
		type="java.lang.String" nullable="true">
	</Attribute>
	<Attribute name="Background"
		description="Фон закладки в нормальном состоянии."
		type="java.awt.Color" nullable="false">
	</Attribute>
	<Attribute name="SelectedBackground"
		description="Фон закладки в выделенном состоянии."
		type="java.awt.Color" nullable="false">
	</Attribute>
	<Attribute name="ContentBackground"
		description="Фон рабочей области закладки."
		type="java.awt.Color" nullable="false">
	</Attribute>
	<Attribute name="Icon" description="Путь к картинке для закладки."
		type="java.io.File" nullable="true">
	</Attribute>
	<!--ATTRIBUTES END-->

</ClassComponent>
